summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD18
2 files changed, 16 insertions, 16 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f93c784c017..2768442ee22 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,22 +1,16 @@
pkgbase = python-kornia
pkgdesc = Open Source Differentiable Computer Vision Library for PyTorch
- pkgver = 0.5.0
+ pkgver = 0.5.8
pkgrel = 1
url = https://github.com/kornia/kornia
arch = any
license = Apache
checkdepends = python-pytest
makedepends = python-setuptools
+ makedepends = python-pip
depends = python-pytorch
- depends = python-numpy
- depends = python-torchvision
- depends = opencv
- depends = ipython
- depends = jupyter
- depends = python-matplotlib
options = !emptydirs
- source = kornia-0.5.0.tar.gz::https://github.com/kornia/kornia/archive/v0.5.0.tar.gz
- sha256sums = c6c428790becb28c9af86bf9284100ea485f6c33c735d5aa2c9754bbd5395e22
+ source = kornia-0.5.8.tar.gz::https://github.com/kornia/kornia/archive/refs/tags/0.5.8.tar.gz
+ sha256sums = e0a2686c7b2856b4ccc2883817d96c7d888c6df4745beedcfe307cbfe0b50cca
pkgname = python-kornia
-
diff --git a/PKGBUILD b/PKGBUILD
index 61efa9d0b01..1e0c44d9229 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,23 +1,29 @@
# Maintainer: otaj
+# If you also want to test GPU portion of the package, set this to 1. Make sure you have a capable GPU with large enough memory
+TEST_GPU=0
pkgname=python-kornia
_name=kornia
-pkgver=0.5.0
+pkgver=0.5.8
pkgrel=1
arch=(any)
url='https://github.com/kornia/kornia'
pkgdesc='Open Source Differentiable Computer Vision Library for PyTorch'
license=(Apache)
-makedepends=('python-setuptools')
-depends=('python-pytorch' 'python-numpy' 'python-torchvision' 'opencv' 'ipython' 'jupyter' 'python-matplotlib')
+makedepends=('python-setuptools' 'python-pip')
+depends=('python-pytorch')
checkdepends=('python-pytest')
options=(!emptydirs)
-source=(${_name}-${pkgver}.tar.gz::"${url}/archive/v${pkgver}.tar.gz")
-sha256sums=('c6c428790becb28c9af86bf9284100ea485f6c33c735d5aa2c9754bbd5395e22')
+# because kornia does not ship `pytest.ini` with their release, we have to get a fat copy of full repo
+source=(${_name}-${pkgver}.tar.gz::"${url}/archive/refs/tags/${pkgver}.tar.gz")
+sha256sums=('e0a2686c7b2856b4ccc2883817d96c7d888c6df4745beedcfe307cbfe0b50cca')
check() {
cd "${srcdir}/${_name}-${pkgver}"
- pytest -v --device all --dtype float32,float64 test/
+ pytest -v --device cpu --dtype float32,float64 test/
+ if ! [ "$TEST_GPU" -eq "0" ] ; then
+ pytest -v --device cuda --dtype float32,float64 test/
+ fi
}
package() {